package com.hw.ems.base.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * CBS抄报对象 cbs_monitor_report
 *
 * @author YinQ
 * @date 2023-10-20
 */
public class CbsMonitorReportVo
{
    private static final long serialVersionUID = 1L;


    /** CBS房间编号 */
    private String roomCode;

    /** CBS房间名称 */
    private String roomName;

    /** CBS物理编号 */
    private String physicalCode;

    /** 装表位置 */
    private String loadingPosition;


    /** 计量设备类型（水表，电表） */
    private String monitorType;

    /** 表具类型（公共，单元，无） */
    private String publicShareType;

    /** 上次抄表时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastMonitorTime;

    /** 上次抄表读数 */
    @Excel(name = "上次抄表读数")
    private BigDecimal lastMonitorExpend;

    /** 本次抄表时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date thisMonitorTime;

    /** 本次抄表读数 */
    @Excel(name = "本次抄表读数")
    private BigDecimal thisMonitorExpend;


    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getPhysicalCode() {
        return physicalCode;
    }

    public void setPhysicalCode(String physicalCode) {
        this.physicalCode = physicalCode;
    }

    public String getLoadingPosition() {
        return loadingPosition;
    }

    public void setLoadingPosition(String loadingPosition) {
        this.loadingPosition = loadingPosition;
    }

    public String getMonitorType() {
        return monitorType;
    }

    public void setMonitorType(String monitorType) {
        this.monitorType = monitorType;
    }

    public String getPublicShareType() {
        return publicShareType;
    }

    public void setPublicShareType(String publicShareType) {
        this.publicShareType = publicShareType;
    }

    public Date getLastMonitorTime() {
        return lastMonitorTime;
    }

    public void setLastMonitorTime(Date lastMonitorTime) {
        this.lastMonitorTime = lastMonitorTime;
    }

    public BigDecimal getLastMonitorExpend() {
        return lastMonitorExpend;
    }

    public void setLastMonitorExpend(BigDecimal lastMonitorExpend) {
        this.lastMonitorExpend = lastMonitorExpend;
    }

    public Date getThisMonitorTime() {
        return thisMonitorTime;
    }

    public void setThisMonitorTime(Date thisMonitorTime) {
        this.thisMonitorTime = thisMonitorTime;
    }

    public BigDecimal getThisMonitorExpend() {
        return thisMonitorExpend;
    }

    public void setThisMonitorExpend(BigDecimal thisMonitorExpend) {
        this.thisMonitorExpend = thisMonitorExpend;
    }

    @Override
    public String toString() {
        return "CbsMonitorReportVo{" +
                "roomCode='" + roomCode + '\'' +
                ", roomName='" + roomName + '\'' +
                ", physicalCode='" + physicalCode + '\'' +
                ", loadingPosition='" + loadingPosition + '\'' +
                ", monitorType='" + monitorType + '\'' +
                ", publicShareType='" + publicShareType + '\'' +
                ", lastMonitorTime=" + lastMonitorTime +
                ", lastMonitorExpend=" + lastMonitorExpend +
                ", thisMonitorTime=" + thisMonitorTime +
                ", thisMonitorExpend=" + thisMonitorExpend +
                '}';
    }
}
